# Passenger::StaticString Class Reference

An immutable, static byte buffer. More...

`#include <StaticString.h>`

List of all members.

## Classes
struct | Hash
| A hash function object for StaticString. More...

## Detailed Description

An immutable, static byte buffer.

This class will never copy data: it just holds a pointer to the data. So a StaticString will become unusable once the data it refers to has been freed.

StaticString will never modify the data.

The documentation for this class was generated from the following file:

- StaticString.h